<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Formapagos{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre){
	$sql="INSERT INTO formapago (nombre,condicion) VALUES ('$nombre','1')";
	return ejecutarConsulta($sql);
}

public function editar($idformapago,$nombre){
	$sql="UPDATE formapago SET nombre='$nombre' 
	WHERE idformapago='$idformapago'";
	return ejecutarConsulta($sql);
}
public function desactivar($idformapago){
	$sql="UPDATE formapago SET condicion='0' WHERE idformapago='$idformapago'";
	return ejecutarConsulta($sql);
}
public function activar($idformapago){
	$sql="UPDATE formapago SET condicion='1' WHERE idformapago='$idformapago'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idformapago){
	$sql="SELECT * FROM formapago WHERE idformapago='$idformapago'";
	return ejecutarConsultaSimpleFila($sql);
}


//metodo para un metodo de pago
public function buscarMetodosDePago($mformapago){
	$sql="SELECT idformapago, nombre FROM formapago WHERE nombre='$mformapago'";
	return ejecutarConsultaSimpleFila($sql);
}


//listar registros
public function listar(){
	$sql="SELECT * FROM formapago";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM formapago WHERE condicion=1";
	return ejecutarConsulta($sql);
}

public function selectc(){
	$sql="SELECT * FROM formapago WHERE condicion=1 AND (nombre LIKE 'bolivar%' OR nombre LIKE 'dol%')";
	return ejecutarConsulta($sql);
}

}

 ?>
